## Cancel Export

### cURL

```bash
curl --request POST \
  --url https://api.withflex.com/v1/exports/{id}/cancel \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.withflex.com/v1/exports/{id}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/exports/{id}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.withflex.com/v1/exports/{id}/cancel",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/exports/{id}/cancel"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/exports/{id}/cancel")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/exports/{id}/cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### HTTP Response Status Codes

- **200**
- **401**
- **403**
- **404**
- **409**
- **422**
- **429**

### Example JSON Response

```json
{
  "export": {
    "export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "description": "Premium SPF 50 mineral sunscreen",
    "type": "product",
    "status": "created",
    "created_at": "2026-06-15T14:30:00Z",
    "started_at": "2026-06-15T14:30:00Z",
    "completed_at": "2026-06-15T14:30:00Z",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "test_mode": false
  }
}
```

### Error Response Structure

```json
{
  "code": "string",
  "detail": "string"
}
```

### Suggested Path Parameters

- **id**  
  Type: string  
  Required: Yes  
  Example:  
  "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

### Required Authorization

- **Authorization**  
  Type: string (header)  
  Required: Yes  
  Use a Bearer token to access this API.

### Response Structure

- **200** application/json  
  An envelope wrapping a single export object.  
  The Export object.
